## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 0.4
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global commit0 91d17815b911ccc2c1d1408412e7885c32f2d460
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global snapshottag .git%{shortcommit0}

Name:           pyliblo3
Version:        0.16.2
Release:        0.4%{?snapshottag}%{?dist}
Summary:        Python bindings for the liblo Open Sound Control (OSC) library
# Main code is LGPL-2.1+
License:        LGPL-2.1-or-later
URL:            https://github.com/gesellkammer/pyliblo3
# checkout instructions
# wget https://github.com/gesellkammer/pyliblo3/archive/91d17815b911ccc2c1d1408412e7885c32f2d460.tar.gz -O pyliblo3-91d1781.tar.gz
Source:  https://github.com/gesellkammer/pyliblo3/archive/%{commit0}/%{name}-%{shortcommit0}.tar.gz

BuildRequires:  gcc
BuildRequires:  python3-devel
BuildRequires:  python3-cython
BuildRequires:  liblo-devel

%description
pyliblo3 is a Python wrapper for the liblo OSC library. 
It supports almost the complete functionality of liblo, 
allowing you to send and receive OSC messages using a nice and simple
Python API. 

This is a Python3 fork of the original bindings for liblo

%package doc
Summary:        Documentation for pyliblo3
BuildArch:      noarch

%description doc
This package contains HTML documentation, including tutorials and API
reference for pyliblo3.

%prep
%autosetup -p1 -n pyliblo3-%{commit0}
# Remove pregenerated Cython C sources and build it again
rm -rf pyliblo3/_liblo.c

# Fix permissions (fix for rpmlint warning "spurious-executable-perm")
chmod 644 NEWS README.md COPYING

%generate_buildrequires
%pyproject_buildrequires

%build
cython -I pyliblo3 pyliblo3/_liblo.pyx
%pyproject_wheel

%install
%py3_shebang_fix .
%pyproject_install
%pyproject_save_files pyliblo3

mkdir -p %{buildroot}%{_mandir}/man1
cp -a scripts/dump_osc.1 scripts/send_osc.1 %{buildroot}%{_mandir}/man1/

%check
%{py3_test_envvars} %{python3} -P -m unittest discover -s ./test -p '*.py'

%files -n pyliblo3 -f %{pyproject_files}
%doc README.md NEWS
%license COPYING
%{_bindir}/dump_osc.py
%{_bindir}/send_osc.py
%_mandir/*/*

%files doc
%doc doc/
%doc examples/

%changelog
## START: Generated by rpmautospec
* Tue Sep 03 2024 Martin Gansser <martinkg@fedoraproject.org> - 0.16.2-0.4.git91d1781
- Use correct source tag address
- Recompile `.pyx` file
- Fix permission of NEWS README.md and COPYING

* Wed Aug 28 2024 Martin Gansser <martinkg@fedoraproject.org> - 0.16.2-0.3.git91d1781
- remove Provides and Obsolutes, dnf should automatically remove any transient dependencies by itself
- remove -r option from  macro pyproject_buildrequires
- use macro %%{pyproject_files} and %%pyproject_save_files pyliblo3}
- remove python3 requirements, because the macro %%pyproject_buildrequires is used

* Tue Aug 27 2024 Martin Gansser <martinkg@fedoraproject.org> - 0.16.2-0.2.git91d1781
- remove Cython generated files 
- use macro %%pyproject_wheel
- use macro %%py3_shebang_fix

* Sun Aug 25 2024 Martin Gansser <martinkg@fedoraproject.org> - 0.16.2-0.1.git91d1781
- initial build
